--- old/usr/src/uts/common/disp/rt.c	sam. juil. 16 15:13:51 2016
+++ new/usr/src/uts/common/disp/rt.c	sam. juil. 16 15:13:51 2016
@@ -69,7 +69,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, (void *)&modlsched, NULL
+	MODREV_1, { (void *)&modlsched, NULL }
 };
 
 int
@@ -149,40 +149,40 @@
 
 static struct classfuncs rt_classfuncs = {
 	/* class ops */
-	rt_admin,
-	rt_getclinfo,
-	rt_parmsin,
-	rt_parmsout,
-	rt_vaparmsin,
-	rt_vaparmsout,
-	rt_getclpri,
-	rt_alloc,
-	rt_free,
+	{   rt_admin,
+	    rt_getclinfo,
+	    rt_parmsin,
+	    rt_parmsout,
+	    rt_vaparmsin,
+	    rt_vaparmsout,
+	    rt_getclpri,
+	    rt_alloc,
+	    rt_free },
 	/* thread ops */
-	rt_enterclass,
-	rt_exitclass,
-	rt_canexit,
-	rt_fork,
-	rt_forkret,
-	rt_parmsget,
-	rt_parmsset,
-	rt_nullsys,	/* stop */
-	rt_nullsys,	/* exit */
-	rt_nullsys,	/* active */
-	rt_nullsys,	/* inactive */
-	rt_swapin,
-	rt_swapout,
-	rt_nullsys,	/* trapret */
-	rt_preempt,
-	rt_setrun,
-	rt_nullsys,	/* sleep */
-	rt_tick,
-	rt_wakeup,
-	rt_donice,
-	rt_globpri,
-	rt_nullsys,	/* set_process_group */
-	rt_yield,
-	rt_doprio,
+	{   rt_enterclass,
+	    rt_exitclass,
+	    rt_canexit,
+	    rt_fork,
+	    rt_forkret,
+	    rt_parmsget,
+	    rt_parmsset,
+	    rt_nullsys,	/* stop */
+	    rt_nullsys,	/* exit */
+	    rt_nullsys,	/* active */
+	    rt_nullsys,	/* inactive */
+	    rt_swapin,
+	    rt_swapout,
+	    rt_nullsys,	/* trapret */
+	    rt_preempt,
+	    rt_setrun,
+	    rt_nullsys,	/* sleep */
+	    rt_tick,
+	    rt_wakeup,
+	    rt_donice,
+	    rt_globpri,
+	    rt_nullsys,	/* set_process_group */
+	    rt_yield,
+	    rt_doprio },
 };
 
 /*
